﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.WebUI.UltraWebChart.v11.2, Version=11.2.20112.2055, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.UltraWebChart" TagPrefix="igchart" %>

<%@ Register assembly="Infragistics4.WebUI.UltraWebChart.v11.2, Version=11.2.20112.2055, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.UltraChart.Resources.Appearance" tagprefix="igchartprop" %>
<%@ Register assembly="Infragistics4.WebUI.UltraWebChart.v11.2, Version=11.2.20112.2055, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.UltraChart.Data" tagprefix="igchartdata" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <igchart:UltraChart ID="UltraChart1" runat="server" BackgroundImageFileName="" 
            ChartType="StackColumnChart" 
            EmptyChartText="Data Not Available. Please call UltraChart.Data.DataBind() after setting valid Data.DataSource" 
            Version="11.2" onchartdrawitem="UltraChart1_ChartDrawItem" 
            onfillscenegraph="UltraChart1_FillSceneGraph">
            <Effects>
                <Effects>
                    <igchartprop:GradientEffect />
                </Effects>
            </Effects>
<ColorModel AlphaLevel="150" ColorBegin="Pink" ColorEnd="DarkRed" ModelStyle="CustomLinear"></ColorModel>

<Axis>
<PE ElementType="None" Fill="Cornsilk"></PE>

<X Visible="True" TickmarkInterval="0" LineThickness="1" TickmarkStyle="Smart">
<MajorGridLines Visible="True" DrawStyle="Dot" Color="Gainsboro" Thickness="1" AlphaLevel="255"></MajorGridLines>

<MinorGridLines Visible="False" DrawStyle="Dot" Color="LightGray" Thickness="1" AlphaLevel="255"></MinorGridLines>

<Labels ItemFormatString="&lt;ITEM_LABEL&gt;" HorizontalAlign="Near" 
        VerticalAlign="Center" Orientation="VerticalLeftFacing" Font="Verdana, 7pt" 
        FontColor="DimGray">
<SeriesLabels HorizontalAlign="Center" VerticalAlign="Center" 
        Orientation="Horizontal" Font="Verdana, 7pt" FontColor="DimGray">
    <Layout Behavior="Auto">
    </Layout>
    </SeriesLabels>
    <Layout Behavior="Auto">
    </Layout>
</Labels>
</X>

<Y Visible="True" TickmarkInterval="2" LineThickness="1" TickmarkStyle="Smart">
<MajorGridLines Visible="True" DrawStyle="Dot" Color="Gainsboro" Thickness="1" AlphaLevel="255"></MajorGridLines>

<MinorGridLines Visible="False" DrawStyle="Dot" Color="LightGray" Thickness="1" AlphaLevel="255"></MinorGridLines>

<Labels ItemFormatString="&lt;DATA_VALUE:00.##&gt;" HorizontalAlign="Far" 
        VerticalAlign="Center" Orientation="Horizontal" Font="Verdana, 7pt" 
        FontColor="DimGray">
<SeriesLabels HorizontalAlign="Far" VerticalAlign="Center" Orientation="Horizontal" 
        Font="Verdana, 7pt" FontColor="DimGray" FormatString="">
    <Layout Behavior="Auto">
    </Layout>
    </SeriesLabels>
    <Layout Behavior="Auto">
    </Layout>
</Labels>
</Y>

<Y2 Visible="False" TickmarkInterval="2" LineThickness="1" TickmarkStyle="Smart">
<MajorGridLines Visible="True" DrawStyle="Dot" Color="Gainsboro" Thickness="1" AlphaLevel="255"></MajorGridLines>

<MinorGridLines Visible="False" DrawStyle="Dot" Color="LightGray" Thickness="1" AlphaLevel="255"></MinorGridLines>

<Labels ItemFormatString="&lt;DATA_VALUE:00.##&gt;" Visible="False" 
        HorizontalAlign="Near" VerticalAlign="Center" Orientation="Horizontal" 
        Font="Verdana, 7pt" FontColor="Gray">
<SeriesLabels HorizontalAlign="Near" VerticalAlign="Center" 
        Orientation="Horizontal" Font="Verdana, 7pt" FontColor="Gray" FormatString="">
    <Layout Behavior="Auto">
    </Layout>
    </SeriesLabels>
    <Layout Behavior="Auto">
    </Layout>
</Labels>
</Y2>

<X2 Visible="False" TickmarkInterval="0" LineThickness="1" TickmarkStyle="Smart">
<MajorGridLines Visible="True" DrawStyle="Dot" Color="Gainsboro" Thickness="1" AlphaLevel="255"></MajorGridLines>

<MinorGridLines Visible="False" DrawStyle="Dot" Color="LightGray" Thickness="1" AlphaLevel="255"></MinorGridLines>

<Labels ItemFormatString="&lt;ITEM_LABEL&gt;" Visible="False" HorizontalAlign="Far" 
        VerticalAlign="Center" Orientation="VerticalLeftFacing" Font="Verdana, 7pt" 
        FontColor="Gray">
<SeriesLabels HorizontalAlign="Far" VerticalAlign="Center" 
        Orientation="VerticalLeftFacing" Font="Verdana, 7pt" FontColor="Gray">
    <Layout Behavior="Auto">
    </Layout>
    </SeriesLabels>
    <Layout Behavior="Auto">
    </Layout>
</Labels>
</X2>

<Z Visible="False" TickmarkInterval="0" LineThickness="1" TickmarkStyle="Smart">
<MajorGridLines Visible="True" DrawStyle="Dot" Color="Gainsboro" Thickness="1" AlphaLevel="255"></MajorGridLines>

<MinorGridLines Visible="False" DrawStyle="Dot" Color="LightGray" Thickness="1" AlphaLevel="255"></MinorGridLines>

<Labels ItemFormatString="" HorizontalAlign="Near" VerticalAlign="Center" 
        Orientation="Horizontal" Font="Verdana, 7pt" FontColor="DimGray" 
        Visible="False">
<SeriesLabels HorizontalAlign="Near" VerticalAlign="Center" 
        Orientation="Horizontal" Font="Verdana, 7pt" FontColor="DimGray">
    <Layout Behavior="Auto">
    </Layout>
    </SeriesLabels>
    <Layout Behavior="Auto">
    </Layout>
</Labels>
</Z>

<Z2 Visible="False" TickmarkInterval="0" LineThickness="1" TickmarkStyle="Smart">
<MajorGridLines Visible="True" DrawStyle="Dot" Color="Gainsboro" Thickness="1" AlphaLevel="255"></MajorGridLines>

<MinorGridLines Visible="False" DrawStyle="Dot" Color="LightGray" Thickness="1" AlphaLevel="255"></MinorGridLines>

<Labels ItemFormatString="" Visible="False" HorizontalAlign="Near" 
        VerticalAlign="Center" Orientation="Horizontal" Font="Verdana, 7pt" 
        FontColor="Gray">
<SeriesLabels HorizontalAlign="Near" VerticalAlign="Center" 
        Orientation="Horizontal" Font="Verdana, 7pt" FontColor="Gray">
    <Layout Behavior="Auto">
    </Layout>
    </SeriesLabels>
    <Layout Behavior="Auto">
    </Layout>
</Labels>
</Z2>
</Axis>
            <Tooltips Font-Bold="False" Font-Italic="False" Font-Overline="False" 
                Font-Strikeout="False" Font-Underline="False" />
            <CompositeChart>
                <Series>
                    <igchartprop:NumericSeries Key="series1">
                        <points>
                            <igchartprop:NumericDataPoint Label="p1" Value="5">
                                <pe elementtype="None" />
<PE ElementType="None"></PE>
                            </igchartprop:NumericDataPoint>
                            <igchartprop:NumericDataPoint Label="p2" Value="7">
                                <pe elementtype="None" />
<PE ElementType="None"></PE>
                            </igchartprop:NumericDataPoint>
                        </points>
                    </igchartprop:NumericSeries>
                    <igchartprop:NumericSeries Key="series2">
                        <points>
                            <igchartprop:NumericDataPoint Label="p2" Value="8">
                                <pe elementtype="None" />
                                <pe elementtype="None" />
<PE ElementType="None"></PE>
                            </igchartprop:NumericDataPoint>
                            <igchartprop:NumericDataPoint Label="p3" Value="1">
<PE ElementType="None"></PE>
                            </igchartprop:NumericDataPoint>
                        </points>
                    </igchartprop:NumericSeries>
                    <igchartprop:NumericSeries Key="series3">
                        <points>
                            <igchartprop:NumericDataPoint Label="p5" Value="6">
                                <pe elementtype="None" />
<PE ElementType="None"></PE>
                            </igchartprop:NumericDataPoint>
                            <igchartprop:NumericDataPoint Label="p6" Value="5">
                                <pe elementtype="None" />
<PE ElementType="None"></PE>
                            </igchartprop:NumericDataPoint>
                        </points>
                    </igchartprop:NumericSeries>
                    <igchartprop:NumericSeries Key="series4">
                        <points>
                            <igchartprop:NumericDataPoint Label="p7" Value="3">
                                <pe elementtype="None" />
<PE ElementType="None"></PE>
                            </igchartprop:NumericDataPoint>
                            <igchartprop:NumericDataPoint Label="p8" Value="6">
                                <pe elementtype="None" />
<PE ElementType="None"></PE>
                            </igchartprop:NumericDataPoint>
                        </points>
                    </igchartprop:NumericSeries>
                </Series>
                <ChartLayers>
                    <igchartprop:ChartLayerAppearance ChartType="ColumnChart" Key="chartLayer1" 
                        SeriesList="series1|series2">
                        <ChartTypeAppearances>
                            <igchartprop:ColumnChartAppearance ColumnSpacing="1">
                            </igchartprop:ColumnChartAppearance>
                        </ChartTypeAppearances>
                    </igchartprop:ChartLayerAppearance>
                    <igchartprop:ChartLayerAppearance ChartType="ColumnChart" Key="chartLayer2" 
                        SeriesList="series3|series4">
                        <ChartTypeAppearances>
                            <igchartprop:ColumnChartAppearance>
                            </igchartprop:ColumnChartAppearance>
                        </ChartTypeAppearances>
                    </igchartprop:ChartLayerAppearance>
                </ChartLayers>
            </CompositeChart>
        </igchart:UltraChart>
    </div>
    </form>
</body>
</html>
